Installing Linux CNC on RPI 4 B Model, 8GB

More
05 Jul 2022 16:21 #246658 by vkhargwanshi
Hello All,

I got my first RPI today (RPI 4 B Model - 8GB), works fine with default RPI OS, but not booting with  linuxcnc-2.8.1-pi4.zip  

Its giving error saying start4.elf is not compatible. I suspect the given image is only for RPI 4 - 8GB and not for RPI 4 B modal which has different processor.

Kindly suggest how to proceed.

Regards,
Vandana

Please Log in or Create an account to join the conversation.

More
06 Jul 2022 05:51 #246699 by vkhargwanshi
I observed that I had missed to read that the official image doesn't work on pi4 8gb. my mistake..

I found following in the group
forum.linuxcnc.org/9-installing-linuxcnc...cnc?start=120#224608

and downloading the image linuxcnc-2.8.2-pi4-arm64.zip worked for me.

Now just need to verify to ensure I am not stuck with next issue..
The following user(s) said Thank You: tommylight

Please Log in or Create an account to join the conversation.

More
06 Jul 2022 13:42 #246716 by elovalvo
There is a more recent version downloadable at this link

forum.linuxcnc.org/9-installing-linuxcnc...cnc?start=130#238020

Please Log in or Create an account to join the conversation.

More
07 Jul 2022 03:57 #246771 by vkhargwanshi
Thank you so much for providing reference to the new version. I missed it..

Please Log in or Create an account to join the conversation.

Time to create page: 0.114 seconds
Powered by Kunena Forum